Atma Xplorer

Xploring Games, Computing, Photography

Install PSP Custom Firmware 5.50 GEN-D3

Then GEN team pushes another update, to it’s popular CFW, 5.50 GEN-D3 that introduces several bugfixes from the previous releases as well as introduces better compatibility for games and plugins. Do note that 5.50 GEN-D3 is for hackable PSPs only. Read the Important warnings below:

If you have a PSP-3000 / PSP-2000 TA088v3 however, you can install 5.03 GEN-C.

Important: DO NOT attempt to install this on PSP-3000 / PSP-2000 TA088v3. YOU WILL BRICK YOUR PSP IF YOU DO.
Important: If you are updating from 5.50 GEN-B, you need to install 5.50 GEN-B2 before proceeding. Otherwise, YOU WILL BRICK YOUR PSP.
Important UPDATE: If you are having trouble playing the latest PSP Games, you may want to install the Prometheus-4 module or use the ISO Tool Patching guide. :)

Requirements:

  • A PSP with custom firmware installed AT LEAST 5.00 M33-6. Although the installer worlds on 4.01 M33, it’s better if you upgrade to 5.00 M33-6 to lower the risk of the installation failing. If you’re having problems installing 5.50 GEN-D, read the troubleshooting part below.
  • PSP battery that’s at least 78% full
  • Download: XGen Updater | XGen Updater
  • Disable ALL plugins.
  • Back up your save files (so that if they get corrupted, you still have backups)

How to install 5.50 GEN-D3 using XGen Updater

    • Connect your PSP to your computer
    • Extract the XGen Updater to your PC
    • Copy the PSP folder and the 550.pbp file to the root of your memory stick

    • On your XMB, go to Game > Memory Stick to start XGen Updater
    • Select Enter on the screen above

    • Choose Flash install CFW 5.50 GEN-D3

XGEN Updater

  • After all process is complete, press X. Your PSP will reboot.
  • Congratulations, you’ve just installed 5.50 GEN-D3

After installing GEN-D3, How about some Free PSP Games?

Custom Firmware 5.50 GEN-D3 Features:

  • All features of 5.50 GEN-D2 and 5.50 GEN-D are available.
  • Compatibility with games requiring firmware 6.10 and above (this includes the Demos available from the PSN)
  • Play the following games, Tekken 6, Gundam vs Gundam, Phantasy Star Portable 2, Naruto, J-League Pro Soccer Club o Tsukurou 6 Pride of J, Naruto Shippuden Narutimate Accel 3, James Cameron Avatar The Game, Phantasy Star Portable 2, R-Type Tactics II Operation Bitter Chocolate, Bleach Soul Carnival 2, Battle Spirits Kiseki no Hasha, Yamada, etc.

Troubleshooting:

If you’re having problems getting the black screen when installing 5.50 GEN-D, you need to reflash your PSP to 5.00 M33-6. If you’re already using 5.00 M33-6, upgrade to 5.50 GEN-B2, then run the 5.50 GEN-D installer:

Requirements for reflashing your PSP to 5.00 M33-6:

  • Extract the Hellcat’s Recovery flasher and copy it to PSP\GAME folder
  • Copy the 500.pbp to the Recovery folder (PSP\GAME\RECOVERY)
  • Run Hellcat’s Recovery flasher from your XMB
  • Reflash to 5.00 M33-6
  • Restore your PSP to the original settings. No CXMBs, no fonts, etc
  • Format flash1 and reset settings (recovery mode)
  • Set theme to orginal Sony theme
  • Turn off all plugins
  • Reformat memory stick

Troubleshooting:

If you’re having problems getting the black screen when installing 5.50 GEN-D, you need to reflash your PSP to 5.00 M33-6. If you’re already using 5.00 M33-6, upgrade to 5.50 GEN-B2, then run the 5.50 GEN-D installer:

Requirements for reflashin:

If you don’t want to reflash, do the following:

If it still doesn’t work, just update to 5.50 GEN-B2 before running the 5.50 GEN-D installer.

Credits:

Dark_AleX – For his M33
Genyus – By GEN

Tags: , , ,

Comments ( 428 )

Have Something To Say ?

  1. WOONCH December 17, 2009 Reply

    I successfully installed 5.50 GEN-D3 on my PSP 1004 from 5.50 GEN-D2. When I checked the system information, it only showed 5.50 GEN-D (full). What could be the problem?

    • sylv3rblade December 17, 2009 Reply

      Use the troubleshooting guide to reflash your PSP back to 5.00 M33-6 then install 5.50 GEN-D3 again.

  2. ahsai December 17, 2009 Reply

    Hi I am having the same problem. I upgrade mine from 3.71M33-4 to GENA(FULL) and then GEN B2 but yet system info says GENA(FULL) only. What can be wrong ? Now I don’t know how to proceed to D2 or D3 ?

  3. hvh December 17, 2009 Reply

    I have read on pspgen.com that once d3 update done, system update does say 5.50 GEN-D3 (full).
    My system info on my psp states this, and Avatar works just fine.

    • sylv3rblade December 17, 2009 Reply

      My PSP states the very same (firmware version is 5.50 GEN-D3) :D congrats on the successful flash :D

  4. Miguel1975 December 17, 2009 Reply

    i have a psp phat in 5.00 m33-6 but my psp said that the XGen updater is corrupted.what is wrong

  5. BB GHOST December 18, 2009 Reply

    i have nitePR and my version is 5.50 GEN-D3 and my nitePR does not pop up but it says press home twice and -,+. But it use to work on 5.00 m33-6 help

  6. wOhoO!! December 19, 2009 Reply

    hey dude!!. your site really helped me a lot..haha..thanks for the instructions and downloads..more POWA!!..thanks again..=]

    • sylv3rblade December 19, 2009 Reply

      No prob :D Be sure to come back for the latest updates :D

  7. mido December 19, 2009 Reply

    i did all wht u said then i went to game>gen d3 and clikc enter it started loading till the modules part and the psp shuts off fully an di tried numureous times this also used to hapen with fifa10 on gen d2! that why am updating hoping it will fix this problem..`:( help plz

  8. Darkness December 19, 2009 Reply

    My system software is 5.03MHU.
    When I try to run 5.5 GEN D3 converter, it says “The game could not be started. (80020001).”

    Please advice what to do.

  9. Zeidrich December 20, 2009 Reply

    You can just upgrade to 5.50 GEN-D3 immediately even if you have the beta version….

  10. Just Me December 20, 2009 Reply

    I have a PSP 2004 with 5.50 GEN-D2 and I copied the needed files to my psp, changed my theme to standard, but it always crashes when it says: “Now load all modules from UPDATER”.
    Please advise!

  11. azlirul_sensei December 21, 2009 Reply

    hello sylv3rblade… my psp have GEN-D2 so can i upgrade to GEN-D3 without any probleam or i must downgrade into 5.03 m33 again…

    • sylv3rblade December 21, 2009 Reply

      Yes you can, if you’re read the troubleshooting guide, you only need to downgrade if you’re experiencing problems.

  12. confused BoY December 21, 2009 Reply

    which psp version is better 5.50 gen-A or 5.50 Gen-D3 because my friend say that 5.50 gen-D is unstable but 5.50 Gen-A is stable abd good

    • sylv3rblade December 21, 2009 Reply

      5.50 GEN-D3 will allow you to play most of the recently released games that would otherwise require manually patching the game.

  13. rj calixto December 22, 2009 Reply

    I successfuly upgraded firmware 5.50 gen D2 to firmware 5.50 gen D3 inPSP 2001 no problems occured. Now ill check avatar if its now running. thanks sylv3rblade.

    • sylv3rblade December 22, 2009 Reply

      Not a prob, be sure to update us on the game :D

  14. rj calixto December 22, 2009 Reply

    what is the effect during formatting flash1 without any problems?

  15. Mike December 22, 2009 Reply

    Have D2 and D3 won’t run, tried Recovery flasher and it won’t downgrade the firmware. I am stuck. I have no pandora battery :(

  16. Ritsu December 22, 2009 Reply

    Words cannot describe how happy I am right now. :DDDD Thanks

  17. azlirul_sensei December 23, 2009 Reply

    yehaaa…. 5.50 GEN-D3 tq sylv3rblade… new games i choose u…

  18. wOhoO!! December 24, 2009 Reply

    merry christmas!!…hohoho!!..=]]

  19. Damian December 24, 2009 Reply

    Thanks Very Much, Great Tutorial

  20. jack December 25, 2009 Reply

    pls help me to upgrade my 5.00 m33-6 to 5.50 d3 my PSP is only psp2001 can i upgrde it???? Im only 13 yr old i cant do it…plsss help me the simplest way….. pls pls pls

  21. clouhd December 26, 2009 Reply

    sup sylv3rblade! im about to try to update to 5.50 gen d3 (currently downloading xgen_v5b)… hopefully everything will proceed A-OK… nonetheless, i appreciate the effort of sharing this info & thanx for giving hope in my christmas for playing new games… more power bro!

    ***now all i need to do is to bookmark this page!

  22. syz December 26, 2009 Reply

    You are doing a wonderful and noble thing for posting and updating with current psp info, i would say its as good like Dark Alex did with creating m33.I would certainly visit this site from now on

  23. ed December 27, 2009 Reply

    Hello sylv3rblade, I’ve upgraded a PSP1000 to from 5.00 m33-6 to 5.50GEN using XGEN PANDORA. Upgrade was successful, but when I tried to play Tekken 6, it still didn’t go through. SO what I did was installed the OFW 5.50 and it says on my PSP that version is Version 5.50 but it’s not detecting any games installed and when I tried running the xgen again, it now says “This game cannot be started. Yhe data is corrupted.” HELP please…

    Thanks and Merry Christmas!

    • sylv3rblade December 27, 2009 Reply

      You’ve upgraded your PSP to the OFFICIAL firmware, not CUSTOM firmware. You will need a pandora battery to install CFW again.

  24. cornel195 December 27, 2009 Reply

    srry for this question but i’m not pro at those things i have 5.50gen d2,are you 100% sure d3 is working ?

  25. ed December 28, 2009 Reply

    Pardon my ignorance on this but that was the first time I touched a PSP. What’s a pandora battery? Thank you so much for the reply sir!

  26. Julian December 28, 2009 Reply

    hmm.. thanks for this.. gonna try updating from 4.01m33-2 to 5.00 m33-6 first. then update to 5.50 gen-d3.. hope it goes smooth! :)

  27. ninong December 30, 2009 Reply

    working. thanks.

  28. sleepybird January 1, 2010 Reply

    When you said “Copy the PSP folder and the 550.pbp file to the root of your memory stick,” do you mean simply copying the PSP folder and the 550.pbp directly to the memory stick (F:/)? Otherwise, what do you mean by “root?” Thanks.

    • sylv3rblade January 1, 2010 Reply

      root of memory card = directly on to the memory card (if your PC reads your PSP as F:/ then copy the file to drive F:/)

  29. cj January 7, 2010 Reply

    nice…..working…. before gen b (full) update to gen b2..then upgrade to gen d,,,its working.. thanksssss a lot…. have a nice day…

  30. rock23 January 18, 2010 Reply

    hey does 5.50 gen d 3 able to play arthur and the minimoys? I tried playing the game using the 5.50 gen d3 (final) but it wont play. I only got 80020148 error. game could not be started. Appreciate your help :)

  31. erythros January 18, 2010 Reply

    I updated to 5.50 GEN-D3 without issue. Thanks for the howto and a big thanks to the developers!

    I noticed however that the “Skip Sony logo” option doesn’t work. I set it to both Enabled and Disabled multiple times as a test. The Sony logo show every time.

  32. jefffff January 19, 2010 Reply

    Is psp 2000s the psp slim? I hve a silver psp slim and it’s a 5.50 gen b, is it safe to upgrade it to 5.50 gen d3? If not what’s the best update to use to play new games

  33. jefffff January 20, 2010 Reply

    Thanks, everything worked(:

  34. Rambo January 20, 2010 Reply

    Hey buddy..
    I got GEN d2 installed on my psp. Then I dowload the install for GEN d3 and run it..I select “Flash install CFW 5.50 Gen d3″..THe installation gets over and it says “COngrats and all”..but when my psp reboots and I check my psp firmware..it says..”PSP gen D(full)” Whats the problem with it?

  35. evilmunkey January 23, 2010 Reply

    Can I upgrade DIRECTLY to 5.50 GEND3 with my current system? if not, please point me in the right direction on what to do. Hope you have time to help a noob.

    PSP-2006 (slim v1.1)
    system software 3.80 M33-5
    Motherboard TA 085 v2 (slim 02g)

    • sylv3rblade January 23, 2010 Reply

      Nope. If you try to upgrade straight to 5.50 GEN-D3, you’ll likely brick your PSP. Update to 5.00 M33 first.

      • evilmunkey January 24, 2010 Reply

        ok. what if I upgrade first to 5.5 GEN A then to GEN B before GEN D3? TO be honest I’m a little confused with what cfw ishould use…

        • sylv3rblade January 25, 2010

          If you’re going to upgrade to 5.50 GEN-A then to 5.50 GEN-B then to 5.50 GEN-D, you need to follow this route:
          5.50 GEN-A -> 5.50 GEN-B -> 5.50 GEN-B2 -> 5.50 GEN-D.
          If you went straight from 5.50 GEN-A to 5.50 GEN-D:
          5.50 GEN-A -> 5.50 GEN-D

        • evilmunkey January 25, 2010

          Oh no, I went ahead with the route 5.50 GEN-A -> 5.50 GEN-B -> 5.50 GEN-D3, skipping the 5.50 GEN-B2. is that alright?

        • evilmunkey January 25, 2010

          sylv3rblade on 19 Jan 10 at 08:41:28 said:

          “be sure to install the 5.50 GEN-B2 patch first before proceeding (it messes some stuff if you don’t you see). :D”

          great. all the warnings are posted in here and I was dumb enough not to read before going ahead with the update.

          how can I fix this? I would appreciate your help..

        • sylv3rblade January 25, 2010

          You’re only missing a few files which won’t really bother you until you play some of the latest games like Tekken 6. This post has the instructions you need.

        • evilmunkey January 26, 2010

          Ok I followed the instructions on the link and so far Tekken 6 (I used it as tester) has been working. I’ll observe my PSP for any unusual signs.

          Thanks for your assistance!

        • sylv3rblade January 26, 2010

          Not a prob. Just update us on how things go ne?

        • evilmunkey January 30, 2010

          hey, it’s me again. I’ve observed something but I’m not sure if it’s related to the upgrade. Sometimes in the middle of the game while loading it just stops the activity and freezes. I’ve seen this more frequent when I play Gran Turismo. I’m not sure why, but here are some of my speculations:

          a. Is it beacuse of my update?
          b. Is it because GT is not decrypted?

          I saw your blog about decryption
          http://www.atmaxplorer.com/2009/09/play-games-that-require-ofw-5-55-and-6-00/
          I’ll try that and see where it takes me. but while I do that, i hope you can help me AGAIN. thanks!

        • sylv3rblade January 30, 2010

          I’m not really sure if I we can put the blame on your upgrade. Are you experiencing this on any other game? If yes, you probably need to reflash (reinstallation of 5.50 GEN-D3 via a Pandora Battery). If not, you can always proceed to decrypt GT. However, if you don’t want to go that route, I suggest downloading a version of the game that is patched for 5.00 M33. That ensures the best compatibility.

        • evilmunkey January 31, 2010

          I think I found my prob. I tried using a different freshly formatted MS. Looks like it did the trick.

          Thanks for all the tips! I am now a fan! So madami pa akong kukulitin sa iyo hahaha!

  36. deep January 24, 2010 Reply

    is gen d3 safe

  37. kevz January 25, 2010 Reply

    My persona still doesn’t work in this CFW and I’m thinking it’s the file itself that I need to replace. My Tekken 6 worked in GEN-D3 though, but not on my GEN-B.

    If the file is the case, can anyone give me a direct link to a persona download (file/rar/torrent)? Pleaase Im a big fan of SMT! :3

    Salamat!

  38. rambo793 January 25, 2010 Reply

    Buddy, i got the Gen D(full) after upgrading…i read tht i have to downgrade all the way to 5.00 m33-6. DO i gotta go to gen a then gen b then gen d to gen d2 to gen d3 all over again??..
    Cant i make the process shorter..please help

    • sylv3rblade January 25, 2010 Reply

      You only need to downgrade if you’re having problems updating. You can update to 5.50 GEN-D3 just fine.

  39. rambo793 January 25, 2010 Reply

    i got GEN d2..and when i run the update file for gen d3..the system software shows GEN d(full)/..why’s this happening?..what do i do buddy?

  40. adhi January 28, 2010 Reply

    is it save to instantly update from GEN-D to Gen-D3?

  41. bro January 29, 2010 Reply

    men, nid a little help… i accidentally restore the default setting and my psp turn back to version 5.50.. i tried to run 5.50 Gend3 and hellcat flahser and it says cannot start the game data is corrupted… can anyone help me with this trouble?? thanks a lot…

    • sylv3rblade January 29, 2010 Reply

      You need a Pandora Battery to install CFW on your PSP again.

  42. Nandan January 29, 2010 Reply

    Thanks for all the help n support!! Tested PES2010, Tekken 6. Working perfectly!! :)

  43. arieswong February 2, 2010 Reply

    I recently updated to Version 6.2 and now even thought there are games in the ISO and PSP/Game folder it gives the message
    “There are no games”

    Would really appreciate if some one can really help.

  44. Signal February 4, 2010 Reply

    guys, i accidentally chose the second option when i was installing the firmware, and now im stuck with 5.50 original fw =C, what can i do to downgrade now?

  45. esco February 4, 2010 Reply

    can I go from 5.00 m33-6 straight to 5.50 gen-D3 and have all the files of 5.50 gen-D3

  46. kapopoy February 4, 2010 Reply

    i have successfully installed the CFW and i can play some games smoothly but i cannot play AVATAR the game, the psp restarts when the new game is loading.. :( tried the avatar in other psp’s and it work…

    • sylv3rblade February 4, 2010 Reply

      What firmware version is currently on your PSP? 5.50 GEN-D3?

  47. Yala February 5, 2010 Reply

    Yo sylv3rblade…at the beginning of all of this, all I had was a sweet psp with the custom firmware 3.71 M33…I went through everything this site suggested…upgraded to 5.00 M33…then had to upgrade every patch until I got to patch 5.00 M33-6…and finally managed to upgrade to this 5.50 GEN-D3.

    So, all I have now left to say is that I’m thankful because right now, my psp is just about the same as it was, except now it’s upgraded enough for me to finally play the Tekken 6 that I’ve had for so long now.

    If you ever decide to leave this business of helpin folks like us with our psps, then, until you’ve made sure there’s someone to replace you, don’t. Because by the end of a week or a month, you probably make (n) people’s days and lives a whole lot better.

    KUDOS MAN!! Now let me enjoy my upgraded baby ^^

    • sylv3rblade February 5, 2010 Reply

      Don’t worry, I’ll be here for a long time. Be sure to stay tuned for more updates and if you wish to see something posted up here on Atma Xplorer, just use the contact form :D Enjoy your updated PSP!

  48. Wolfwood February 5, 2010 Reply

    Hi I have 4.01m33-2 on my PSP Slim is it safe to upgrade it to 5.50 GEN D3 without knowing what motherboard I have? your help is much appreciated!

    • sylv3rblade February 5, 2010 Reply

      I don’t recommend directly upgrading due to the number of people having problems with jumping to 5.50 GEN-D3 directly. Also if you have 4.01 M33-2 then your PSP is hackable so no worries there.

      • Wolfwood February 6, 2010 Reply

        Thanks a lot man!
        What I did is upgrade to 5.00 then directly to 5.50 GEN – D3…it was installed flawlessly! your a life saver man! … Now for some CXMB plugins… (do you think its same to do this?)

  49. ToOkiE14 February 7, 2010 Reply

    waw tnx.. it works. x_^\m/

  50. imatepda2k February 13, 2010 Reply

    heyy i dont know if my psp 2000 will get bricked if i upgrade it to gen d3 from 5.00 m33-6 , how do i find out what mother board my psp has, soo pleaseee helpp mee!! thanks alott

    • sylv3rblade February 13, 2010 Reply

      You can check your PSP’s model by following the instructions on this post:
      http://www.atmaxplorer.com/2009/03/how-to-check-if-your-psp-can-have-cfw-installed/

      • imatepda2k February 13, 2010 Reply

        my psp rite now is running 5.00 m33-6 so i still have to check or i can just start the Gen D3 uprgrade???

        • imatepda2k February 13, 2010

          i checked, my psp

          motherbaord type: slim (02g)
          motherboard model: TA-085 v2

          soo cann i upgrade it from : 5.00 m33-6 to GEN D3???????????

          thanks alot

        • sylv3rblade February 13, 2010

          Yep :) Just post and update once you’re done updating :D

        • imatepda2k February 14, 2010

          its working awesome, playing socom and motorstorm, THANKYOU VERY MUCH

  51. daniel February 13, 2010 Reply

    question, pag nainstall ko ba ung 5.03 gen-c(full) sa psp ko ibig sabihin ba nun ung psp ko ay PSP-2000 TA088v3 at hindi ko na pwedeng gawing 5.50 gen-d3 ung firmwareng psp ko?

    • sylv3rblade February 13, 2010 Reply

      Nope… pede naman kasi gumana ung 5.03 GEN-C sa hackable PSPs. Pero if you want to install 5.50 GEN-D3, you better run pspident to make sure that your PSP is hackable and di ka mabrick :D

  52. daniel February 13, 2010 Reply

    question, kapag ba nainstall ko ung 5.03 gen-c(full) sa psp ko, ibig sabihin ba nun ang psp ko ay PSP-2000 TA088v3? at ndi ko na pwedeng iinstall tong 5.50 gen-d3 sa psp ko?

  53. Halcyon February 13, 2010 Reply

    I just wanted to thank you for this web site, I love to do a one stop shop to see what is current with my psp. I know all web sites need to get paid to stay up. but im grateful that this is not full of adds and scary pop ups that make you wonder how safe it is to be surfing there. Thx again, I appreciate your hard work.

  54. daniel February 14, 2010 Reply

    ah okay salamat ng marami dude! hm kasi ung problem ku dun sa gen-c, pag inof mu xa babalik sa 5.03 unf fw ko, tpus magchickHEN ako ulet, gen-a, gen-b tpus gen-c, natatakot na kasi aku pag finaflash, baka mbrick hehe, may solution ba dun if ever? :)

    • sylv3rblade February 14, 2010 Reply

      Di mo na need dumaan sa GEN-A at GEN-B para iinstall ang GEN-C. Just go ChickHen -> 5.03 GEN-C. :D

  55. Rory February 14, 2010 Reply

    Can you install this onto a ta 088v3 by using chickHEN or CFW 5.03?

  56. daniel February 14, 2010 Reply

    ah ganun ba? cge brod, sobrang salamat! :)

  57. Noel February 16, 2010 Reply

    paano ko malalaman kung ang psp ko ay PSP-2000 TA088v3?

  58. mzakira February 20, 2010 Reply

    Pwede po ba yung Sims 2 Castaway and dragonball z dito xa 5.50 gen-d3? =D

    • sylv3rblade February 20, 2010 Reply

      Yep. UMDs lang ang nagkakaprob with 5.50 GEN-D3 :D

  59. anonymus February 20, 2010 Reply

    hy guys my psp running in 5.50 gen d3 now but i download the Xgen_v5 updater not the Xgen_v5b, and i can’t still play newer game, i follow your instruction step by step but i still can’t play yu gi oh 5ds tag force 4. why is this happening ?

    • sylv3rblade February 20, 2010 Reply

      Are you getting the game cannot be started error?

  60. jigz February 25, 2010 Reply

    bakit ng mai update ko na yung 5.50 gen d3 sa psp ko di ko malaro yung james camreon avatar? di sya nag loload pag game proper na? what should i do? ti nry ko na maraming beses pro di pa rin nag wowork.. help pls?

  61. jigz February 25, 2010 Reply

    i have just upgraded my psp fw 5.50 gen d 3 and it’s ok at first to some games but when i tried to play james cameron avatar it doesnt work… it always shuts down what should i do? plsss. help?

  62. mark February 26, 2010 Reply

    tanong ko lang po bkt pag nalowbat ung psp ko nawawala ung games sa memory card… cnasabi memory corrupted?… ano po dapat kung gawin salamat…

  63. natzky March 5, 2010 Reply

    my psp has cfw gen d3. i installed narutimate accel 3[jpn] bt when i started to play it,it turned black insted.why?

  64. Jew Vince Ezekiel A. Ramirez March 5, 2010 Reply

    .boss suki aq d2 tanung lng kung pde ko ga iupdate ung psp ko na nka 5.03 gen-c(full) sa 5.50 gen-d3 ksi nd nman TAV088v3 ang motherboard nun tnx.,

  65. Dennis March 7, 2010 Reply

    How can i hack my psp downloaded and extract it buy always say’s “Data Corrupted” so plz…. HELP…. ME !!!!!

  66. NeLL March 8, 2010 Reply

    May prob po ako…pagka-install ko ng 5.50 gen D sa PSP Fat ko..hindi ma-recognize yung mga games..anu ang pssible soultion dun? Pls help

    • sylv3rblade March 8, 2010 Reply

      1. What’s the symptom? (Nageeror ba? Corrupted data ba ang lumalabas? etc)
      2. Check your firmware version. Make sure na 5.50 GEN-D ang game.
      3. Gumagana ba yung games na un dati?

  67. Cloud March 10, 2010 Reply

    hey help, gagana ba to pag 5.50 GEN D2 tas uupgrade ko to D3? sure yan? di mabri2ck?

  68. Cloud March 10, 2010 Reply

    wew absolutely works! KUDOS to everyone here. nice work ;D too bad KH: BBS doesn’t work on 5.50 GEN D3. :(

  69. Eddy March 11, 2010 Reply

    Woo hoo thanks i finally can play hack link in this version yeah thanks u r the god here

  70. Eddy March 11, 2010 Reply

    but the problem is the loading of the game is too long can i know how should it be settle???

  71. mrkatorze March 12, 2010 Reply

    sylv3rblade
    my 2 questions pu aq

    1. panu q pu mauupdate ung 5.50 gen d2 to gen 5.50 d3?
    2. ang maari bang macra ang psp q??

    tnx puh

  72. Pogay March 13, 2010 Reply

    hey! i have a gen B(FULL) version… magkakaproblem ba ako if dineretso kung yng pag-upgrade ko to GEN D3?

    • sylv3rblade March 13, 2010 Reply

      Yep. Need mo muna iinstall ung 5.50 GEN-B2. If you’re not sure if naka GEN-B2 ka na, just run the 5.50 GEN-B2 installer, iooverwrite lang nun ung files. Kapag inde ka kasi dumaan dun baka mabrick ung PSP mo.

  73. Espada March 16, 2010 Reply

    what If in my psp system 5.50 GEN-D(full) how to install The 5.50 Gen-D3?..I already Download The Data That You Mention xgen_v5b.zip….If You Ask Why,Because to play Dante Inferno…Please Answer My Question..

    • sylv3rblade March 16, 2010 Reply

      Just follow the instructions above. It’ll install 5.50 GEN-D3 on your PSP.

  74. king March 17, 2010 Reply

    i installed narutimate accel 3 on my gend3 installed psp bt the prblem is the loading is so slow and the characters are all in slow motion whwn the battle starts.can you tell me what may be the problem?please.

  75. king March 17, 2010 Reply

    i installed narutimate accel 3 on my gend3 installed psp bt the prblem is the loading is so slow and the characters are all in slow motion whwn the battle starts.can you tell me what may be the problem?please.tnx

    • sylv3rblade March 17, 2010 Reply

      On your PSP’s XMB, press select and make sure the clock speeds are set to default.

  76. ASROCK March 20, 2010 Reply

    PSP KO PO AY 5.00 M33-6. NEED KO PA BA NG GEN A – TO B. OR DIRECT KO N SA GEN D TO D3.

  77. jigz March 20, 2010 Reply

    ask ko lang po kung pede i upgrade yung psp ko 5.50 gen -bfull sya at pano po procedure?

    • sylv3rblade March 20, 2010 Reply

      Make sure na nainstall na ung GEN-B2 before installing 5.50 GEN-D3. If di ka sure, pede mo pa rin irun ung installer ng 5.50 GEN-B2 just in case.

  78. RayMafnas March 22, 2010 Reply

    Umm pa help po may psp ako ung version nya eh 6.20 sa tingin nyo po ba makakapag laro ako ng downloaded na games? kung hindi pano po pls elp

  79. Shah March 23, 2010 Reply

    thanks dude, my tekken 6 works

  80. noob March 23, 2010 Reply

    pag ang system software ba ng psp ay 5.50 gen-d3 … no need na ba i-update sa firmware 6.0,6.1,6.2?

  81. ranzel March 24, 2010 Reply

    PAno po pag 5.00 m33 6 pano po yun papa 5.50 D3??

    • sylv3rblade March 24, 2010 Reply

      Install mo lang as said in the instructions above.

  82. PSP - 1003 March 26, 2010 Reply

    dude, can i install 5.50 gen d-3 to my
    PSP – 1003…thanks..:)

  83. RayMafnas March 27, 2010 Reply

    thank you po talga ^_^

  84. ghkpsp March 27, 2010 Reply

    Hi pls HELP : PSP 1006 ta-081,MS adaptor MicroSD 8gb with 5.50gen-d3.Backed up Tekken 6 UMD not loading.Used the ‘Windows Patcher’,’US Patch’ and the ‘ppf patch’ … and all gives the ‘black screen…then off’ Will cso compression,(PSP ISO Compressor by DannyK),help?
    Will changing to FAT help?
    Will deleting ms hidden files at root help?
    Can Tekken 6 work with Daxzisoloader?
    Do I need to ‘disable’ plugins in ‘advanced'(recovery menu)?
    Enable plain modules and/or boot.bin?
    5.00M33-6 has not worked with the above 3 patchers!
    Are there more patchers besides these?
    Thanks.

  85. macario March 28, 2010 Reply

    ei san ko po lalagay n folder yung 550.pbp? im using 5.00 M33-6.
    im having an error saying 550.pbp couldnt be found. ty

    • sylv3rblade March 28, 2010 Reply

      Root folder ng memory card. Bali kung nababasa ng PC mo na F: ung PSP, dun mo ilagay. Bali F:550.pbp

  86. sexylion March 31, 2010 Reply

    hey i’ve tried downloading xgen_v5b.zip through your mirrors several times, but it gives me this “unknown” file 16kbs big. could the uploading site have taken your file down?

    • sylv3rblade April 1, 2010 Reply

      It’s still there o_O will be uploading to a 2nd mirror.

  87. Cephei April 3, 2010 Reply

    Hi! I really need your opinion. I cannot run some games like lunar star silver harmony because of some kind of error but I can run tekken 6. I have gen-b full version currently. What do I do? Should I upgrade it to gen-d3 or downgrade it to 5.00 m33-6? or do you have any solutions..

    Please please respond immediately. I really need some help here. Thank you C:

    • sylv3rblade April 4, 2010 Reply

      What error is it giving you? Have you tried changing the UMD Mode on the VSH menu?

      • Cephei April 6, 2010 Reply

        It says game could not be started error 80020148..

        Yup I tried it already. It’s M33 driver -No UMD- I changed it to Sony np9660 but it’s still doesn’t work.

  88. Cephei April 4, 2010 Reply

    It says game could not be started error 80020148..

    Yup I tried it already. It’s M33 driver -No UMD- I changed it to Sony np9660 but it’s still doesn’t work.

  89. aljon2889 April 5, 2010 Reply

    Hi there.. I am playing Dissidia Final Fantasy with 5.50 GEN D-3.. On a certain level, After I beat a boss, it was supposed to load and continue, but my psp froze completely and I all i can do is to push the home button or shut it down… Same goes for Smackdown vs raw… It froze while loading to the next stage/level… THe main problem is that, when loading, it freezes… Can You help me with this? thanks man!!!

    • sylv3rblade April 5, 2010 Reply

      What setting for the UMD mode are you using?

      • aljon2889 April 7, 2010 Reply

        Im using Sony NP9660… Do you think that the game is a “bad download”? I downloaded a Dissidia game which is 1.3 GB in size and is a cso, there are other links leading to 1.5 GB iso… Smack down VS raw 2010 has the same problem in loading…. BTW thanks for replying dude, that’s the fastest response I ever experienced…=p

        • sylv3rblade April 8, 2010

          Could be, did you download it as a whole or in parts?

        • aljon2889 April 9, 2010

          Well I got the game using torrent..why? will it yield to a higher corruption possibility when i download it in parts??… my problem is solved now.. I used the other link which gave me an iso file… Dissidia is working now..To all the people encountering lags, freezing, its the game not the firmware!! If the game you want to play uses large amount of graphics, prefer the iso than the cso file…:) 5.50 gen d-3 is the best firmware there is at the moment!!

        • sylv3rblade April 9, 2010

          Yep it’s the file. A cso is the compressed version of iso so the PSP still has to decompress it whenever you need to access anything. The pro for that is the lower filesize :D Anyway congrats on your installation :D

  90. Larry April 5, 2010 Reply

    Successfully upgraded to 5.50 gen-d3 and works perfectly. Trying to figure out how to play ‘psx’ or eboot games. Any help will be greatly appreciated as always. Thanks

  91. randommanjelly April 6, 2010 Reply

    My psp has been flashed with 3.80 M33 long ago, then i installed OFW 5.03. Can it still be flashed by pandora and can it be possible to install Gen-D3 on it? thanks :D

  92. aris April 8, 2010 Reply

    pwede ba yung 5.50 gen -d3 to 6.20 na cfw?

  93. VIRUS99999 April 11, 2010 Reply

    hey dude can…. i put dis on 5.03 f/w……………

    • sylv3rblade April 12, 2010 Reply

      No. Read the parts labeled Important for more info.

  94. Dj_Robz April 12, 2010 Reply

    English po ba ito???? Ty in advance po

  95. elvis April 14, 2010 Reply

    pls help!

    the installation works only until “Choose Flash install CFW 5.50 GEN-D3″
    after that step, there is the message “no 550pbp found on root ms”
    but there is only one root folder “md_root” on my psp. so if this is the wrong one, where should i copy the files in?!?
    whats wrong?

    edit: the actual version on my system is 5.00 M33-6

    • sylv3rblade April 14, 2010 Reply

      You need to take note of this step:
      Copy the PSP folder and the 550.pbp file to the root of your memory stick

      • elvis April 14, 2010 Reply

        …well i did. and it happens…nothing!

        • elvis April 14, 2010

          if i put them into the root folder, there is no icon in game>memory stick to start the update…

        • elvis April 14, 2010

          i just can start the update, if i copy the files to psp>games like i did when i updated older versions, but thats not the right way i think…because the update fails…

  96. Lord Rance April 18, 2010 Reply

    Hmn. Excellent. Updated from GEN-B… D3 worked perfectly. The programs run a bit faster now, and a lot of games I couldn’t play before worked now (Phantasy Star Portable 2). Please pass on my gratitude and a big whoop to the developer.

  97. cathy April 18, 2010 Reply

    Hi. I’m new to the PSP console. I would like to ask if what kind of PSP console can you recommend for me to buy? I was informed of the PSP 3000 with system version 5.03 which can be hacked using the chickHEN and there are the new PSP 3000 with system version 5.50 and above like the ones sold as limited editions ( hannah montana, assasin’s creed, gran turismo). Is there a way to modify this system? thank you.

  98. cathy April 18, 2010 Reply

    Hi again. Is it recommended to buy PSP 3000s with newer versions? I am really confused with your discussions of the versions 5.5 gen-b and gen d3. thank you.

    • Lord Rance April 18, 2010 Reply

      Well, I’m pretty biased on this. I mean, I’ve had PSP-2000 ever since. It’s a simple matter of updating the firmware actually. Also, the newer versions (3000) would have a bigger chance of becoming bricked due to the motherboard installed. I’d rather have PSP 2000 coz I really see any big difference…

      • sylv3rblade April 18, 2010 Reply

        Well you’d have to note that some of the newer PSP-2000s have the same limitation as the PSP-3000 (meaning they can only install upto 5.03 cfw).

    • sylv3rblade April 18, 2010 Reply

      If you’re in the market for a new PSP unit, you can purchase a PSP-3000 as long as it’s firmware version does not exceed 5.03. If it does, I suggest that you don’t fork your money for it since you’ll be stuck with just original games.

      As for the conundrum of 5.50 GEN-D3, cfw, etc. Here’s a simple guide for that:
      http://www.atmaxplorer.com/2009/03/how-to-check-if-your-psp-can-have-cfw-installed/

  99. bryan April 20, 2010 Reply

    Salamat nga pala pareng silv3rblade dun sa sagot mo sa una kong tanong. me iko-confirm ulit ako. kasi kung sakaling naka-update na ako ng cfw from my current to the latest, hindi kaya maapektuhan yung compatibility ng mga saves at games ko mula sa current cfw ko sa latest cfw na ikinabit ko meaning, maaaring hindi siya gumana sa latest cfw o kaya naman e ma-corrupt? salamat ulit sa time to answer my questions! it’s a good thing may kababayan akong puwedeng mapagtanungan hehehe!

    • sylv3rblade April 20, 2010 Reply

      There’s that risk. Minsan talagang nacocorrupt ung save games kapag naguupgrade :( It’s part of the risk when upgrading firmwares.

      Pero to assure you, I updated my PSP from 3.71 M33 to 5.00 M33 without any problems with regards to my save :)

      Swertihan lang talaga minsan.

  100. bizzza April 20, 2010 Reply

    hi,
    i asked u a question about psp silver (2002) a little while back but cant seem to find it anywhere.i asked which custom firmware do you recommend for a psp2002 (silver)

  101. spoonman April 21, 2010 Reply

    Sir, tanong ko lang kung gagana pa ba ung mga lumang games from 5.00 m33-6 kung mag upgrade ako to gen d3?

    • sylv3rblade April 21, 2010 Reply

      Wlang kaso sa games. Ang nagiging usual problem lang is may mga naguupgrade na nacocorrupt ung save files :(

  102. bryan April 21, 2010 Reply

    thanks pareng silv3rblade sa pag-confirm!

  103. bizzza April 21, 2010 Reply

    thanks heaps because when i try to install 5.50 GEN-D3 it says “file corrupt”.

  104. spoonman April 22, 2010 Reply

    thanks man…

  105. RayMafnas April 23, 2010 Reply

    Thank you po sylv3rblade na modif ko na psp 1000 ko kaso ung lumabas sa system info eh 5.50 Gen-d (full) normal ba po un oh gen-d lng na lagay ko?

    • sylv3rblade April 25, 2010 Reply

      Hmm weird.. dapat GEN-D3 ang lalabas. Try mo magupdate ulet… anong version ng xgen ung nadownload mo? Ito ba? Kasi ung older releases (xgen v5 lang) 5.50 GEN-D(full) ang lalabas.

  106. RayMafnas April 25, 2010 Reply

    umm sir tama ka po ibang version ng xgen nga na dl ko xgen v5b pala dpat pero ok na po ba kaya tong 5.50 gen-d (full) kesa sa d3? may mga nag cocorrupt na save data ba sa d3? Advise lng po sana kung mag upgrade pa ako sa d3

  107. bryan April 29, 2010 Reply

    hello again pareng silv3rblade! Salamat nga pala sa astig na blog post na to nakapag-upgrade na ako up to the latest FW (5.50 GEN D-3) Kaso me minor problem ako; Gaya kasi nung suggestion mo nag-back up ako ng saves ko bago ako nag-update. Ngayon ang prob ko is kapag nai-paste ko na yung saves sa PSP ko, although nababasa naman siya ng mem stick mismo, pero kapag in-start ko na yung game at ni-load yung save it always says that my saves are corrupted?! Is this the part of the “risk” you told me about earlier? Again salamat sa napakagandang post na to! :D

  108. zechsii April 29, 2010 Reply

    tol, ask ko lang..
    baguhan pa lang ako nito sa mga upgrade thing.
    meron na ako psp1001 at may version na gen-d2

    now target ko gen-d3 kasi ung mga gusto ko na games hindi supported ng gen-d2..

    maitatanong ko lang.. diretso na ba to?
    wala na bang ibang iinstall, install ko na agad ang gen-d3 from gen-d2?

  109. Rocker May 1, 2010 Reply

    Thanks!!!!!!!!!!!!!!!!!!!!!!!!!!! WOrks!!!

  110. RayMafnas May 2, 2010 Reply

    Thank you sylv3rblade 5.50 Gen-d3 na ako tanong ko lng po kung ok lng burahin ung 5.50 PBP sa root ng memory stick? Thank you po ulit!!

  111. RayMafnas May 5, 2010 Reply

    ^_^ Super excited na ako sa Birth By Sleep at Monster Hunter Portable 3g kuya sylv3rblade!! Sana mag karoon na

    • sylv3rblade May 5, 2010 Reply

      Excited na rin ako sa MHP3G kaso nilalaro ko na ung Wii version eh :)

  112. RayMafnas May 6, 2010 Reply

    wow nalaro mo na ung Wii version!! Taga san ka po baka pwede tayo mag play together pag lumabas ung MHP3G ^_^

    • sylv3rblade May 6, 2010 Reply

      Cavite area ako :) Yep. currently nilalaro ko ang ng mga tropa ko ung MH Tri :)

    • RainInfinity May 8, 2010 Reply

      taga san ka tol? gusto ko kau makalaro with MHP3rd.. ^_6

  113. RayMafnas May 6, 2010 Reply

    kaingit hehe MH tri? lagay ka namn po ng dl link d2 plss gusto ko din nyan san po sa cavite punta ako dyan bakasyon namn eh

  114. RainInfinity May 7, 2010 Reply

    guys,,, nagkaroon ako ng problem sa psp ko ung cod3rs recovery menu kasi i-ninstall ko sa psp ko… tapos daming bug pati plugins d gumagana… eh wala akong backup ng dating recovery menu ko,,, naisip ko i-update ko ulit ung 5.50 Gen D3 ko sa Gen d3 ulit… sa awa ni lord gumana^^, wala lang gusto ko lang ipa-alam sa inyo na pwede pala un,,, ok na ulit recovery menu ko,,, ^_^

  115. SGTSoap May 7, 2010 Reply

    How do I access iso files after i’ve installed 5.50 Gen-D3? gundam vs Gundam next+ doesn’t show up in my game folder on the xmb

    • sylv3rblade May 7, 2010 Reply

      Where did you put the ISO file?

      • SGTSoap May 7, 2010 Reply

        In the GAME folder

        • sylv3rblade May 7, 2010

          You have to place the ISO file inside an ISO folder at the root of your memory stick. If your PC reads the memory stick as drive E:\, the folder should be located at E:\ISO. Place the ISO file for the game in there

  116. butch May 11, 2010 Reply

    sylv3rblade, good AM brod, we have 2 psp 1003’s with 3.71 m33 fw. we upgraded both to 5.00 m33. then in-upgrade uli namin yung isa sa 5.50 gen-c (full) pero buggy pala. pwede ba namin i-upgrade uli directly sa 5.50 gen-d3 which i think is more stable. also pwede din ba i-upgrade yung 5.00 m33 (not m33-6) directly to gen-d3? thanks in advance!

    • sylv3rblade May 11, 2010 Reply

      Yep pede magupgrade from 5.50 GEN-C and 5.00 M33 directly to 5.50 GEN-D3.

      • butch May 12, 2010 Reply

        Brod I attempted to upgrade the one with 5.00 M33 with 5.50 Gen-D3 but it went off while doing it and it never powered on again. I can’t even reboot it. The green led comes but only for a few seconds and still the screen is black. What do you think shall I do then?

        • sylv3rblade May 12, 2010

          You need a Pandora battery to reflash your PSP.

  117. RainInfinity May 11, 2010 Reply

    ask lang po pareng silverblade meron bang software pra makapaglaro ng mhfu without ps3? tnx! cenxa na kung wla s topic question ko dko lam kung san po-post eh, tnx! :)

    • sylv3rblade May 11, 2010 Reply

      PS3? Di naman ng PS3 para maglaro ng MHFU o_O Pede ka magemail via the contact form sa akin if may questions ka pa :)

  118. RainInfinity May 14, 2010 Reply

    maka-pag laro ng onlin pala… XD

  119. Rjay May 19, 2010 Reply

    Tanong lng po… After ko po kse mag upgrade to 5.50 Gen d3… Pagmaglalaro ako ng psp ko na nakakabit yung charger laging pumupunta sa USB Connection menu… at nag oon and off lng sya… kahit i cancel ko bumabalik pa din… help nmn po… di ko kse alm kung panu gagawin e…

    • sylv3rblade May 19, 2010 Reply

      mukhang bad flash, reinstall mo lang ung 5.50 GEN-D3.

  120. Pete May 24, 2010 Reply

    I have 5.50 GEN-D3 but when i tried to play Naruto Shippuden Narutimate Accel 3 I get an error ” The game could not be started. (80020148)” I’ve tried changing the no UMD required and required, putting a UMD in and it still doesn’t work could anyone help me”

    thanks

  121. Toni May 26, 2010 Reply

    Hi !! :)
    cwf gen d-3, i have on my psp ,but when want to play ” Prince from Persia-The forgotten sands”
    shows me : 8002013C the game could not be started
    can somebody help me to fix this? :)
    Thanks

    • sylv3rblade May 27, 2010 Reply

      Prince of Persia has a plugin that needs to be installed in order for it to work AFAIK

  122. brian May 26, 2010 Reply

    Why did that happen? current went off or battery died?

  123. seifert May 29, 2010 Reply

    mr. sylv3rblade! thanks for all the info here in the comments! it helped me a lot to install my own gen-d3 software! ;D

  124. Pods June 1, 2010 Reply

    tanung lang mga bro, anu ba latest na version ng psp? kc ung akin 3.90 e ung utol ko hnd mkalaro bng games dahl sbi nya kelangan daw i upgrade. salamat sa tulong!

    • sylv3rblade June 2, 2010 Reply

      If hackable ung PSP, 5.50 GEN-D3
      If nonhackable/partially hackable 5.03 GEN-C

      • Pods June 4, 2010 Reply

        ayun salamat.. bali anu kc ito nkalgay d2 sa psp e, psp-2001.. pg ppnta bko sa upgrading station, anu recommended mo na ilagay?
        ska me ideya kb kng mgkanu un? tnx uli. sensya na

        • sylv3rblade June 4, 2010

          If possible, 5.50 GEN-D3. Usually 500 ang singil ng shops para sa upgrade, kapag mas mataas, lipat ka na. Taga eh :D

        • Pods June 4, 2010

          oo kc ng tanung ako sa moa minsan, 800 ang singil sobra nmn.. ok maraming salamat dre.

          eh ung d2 ba sa site na 5.50 gen-d3, gumagna b to?

          or me shop kb ng ayusan psp? nbasa ko sa mga comments mo kawit ka e, bacoor lang ako. sau n sna ako papa upgrade kng me shop ka. tnx

        • sylv3rblade June 4, 2010

          Yep. It’s working. Yung file mismo dito ang gamit ko. LOL. Wala akong shop :D Blogger lang ako at walang PSP hobby shop :). Madali lang sana ung update kaso since may chance na magfail mas assuring na sa shop ka na magpa update. Namatay na kasi ung Pandora Battery ko :)

  125. psp1111 June 3, 2010 Reply

    sylv3rblade, how many minutes ba ang pgfaflush??

  126. Xxdewdropx3 June 5, 2010 Reply

    so can i upgrade my psp to 5.50 gen d3?

  127. Pods June 5, 2010 Reply

    hehe.. cge bro mraming salamat sa mga tulong!!

  128. fariq June 8, 2010 Reply

    I have 5.50 GEN-D3 but when i tried to play Naruto Shippuden Narutimate Accel 3 I get an error ” The game could not be started. (80020148)” I’ve tried changing the no UMD required and required, putting a UMD in and it still doesn’t work could anyone help me”

    • sylv3rblade June 8, 2010 Reply

      Don’t you need to install a plugin called khbbs in order for that game (and many of the current releases today) to be playable?

    • jonariel July 4, 2010 Reply

      about naruto accel 3 how did it works on ur psp?coz we both have d same prob The game could not be started. (80020148)” my psp is 5.50 gen d3 too..what should i do?

      • sylv3rblade July 4, 2010 Reply
        • Z3TR0C July 4, 2010

          Seems some of the games still won’t play after the Prometheus patch(5.50 gen D4) I have the same error message for the new Prince of Persia title. Any ideas sylv3rblade? I’m not sure about “naruto accel 3″. And what is the “khbbs” patch? Not familiar with that….I’m searching for it tho. Do you have a link by chance?

  129. fariq June 10, 2010 Reply

    thanks .!! it works..!!! sory..what the meaning of khbbs..?

  130. bobrock June 19, 2010 Reply

    Done successfully upgraded to 5.50 Gen D3 but the sounds of my psp 2004 in movie is lessen. How can I back the quality of sounds of my psp 2004.

  131. fariq June 23, 2010 Reply

    my psp using firmware 3.71 m33-3 ..can i upgrade to 5.50 gen d3..??

  132. ear June 27, 2010 Reply

    I have 5.00 m33- 6, so i can upgrade easily to 5.50 gen d3? I’m afraid my fon will be broken…

    • sylv3rblade June 27, 2010 Reply

      Yep. I upgraded straight from 5.00 M33-6 to 5.50 GEN-D3.

  133. konoha June 29, 2010 Reply

    my psp using firmware 3.71 m33-3 ..can i upgrade to 5.50 gen d3..?? tell me the step by step because i worry i broke my psp…help…thank

  134. kyle June 30, 2010 Reply

    my naruto ultimate ninjaheroes cant be played it is always error(8002013C)

  135. Z3TR0C July 3, 2010 Reply

    The new games require the prometheus patch found here——> http://www.atmaxplorer.com/2010/06/install-psp-custom-firmware-5-50-prometheus/

    follow this update to mod your cfw to 5.50 gen D4. I was getting the error messages and this patch cleared up “Lego Harry Potter 1-4″ and Modnation Racers

  136. tahniyath August 25, 2010 Reply

    I own a 2000 TA088v3 psp and i upgraded my cfw to 5.5 gen d3 as i hadn’t read the iinstructions properly.n so undoubtedly got my psp bricked.i tried making a pandora battery by cutting it but i did it as asked 4 slim psp’s to cut the line below 19 and i hav done the magic memory stick 2 but the psp wont start.it detects the battery as i have to move the power switch but 4 pandora it has to start automatically.so guys pls help i hav no idea on wat 2 do..

    • sylv3rblade August 27, 2010 Reply

      There’s currently no fix for a bricked PSP with TA088v3 motherboard :( Didn’t you read the warning? It’s emboldened and in red.

      You need to shell out cash to get a new one.

  137. jhimzter September 3, 2010 Reply

    guys im trying to use a ctf theme,sabi sa tutorials sa net dapat “system firmware 5.50 GEN-D3″ to be able to use ctf themes but it says on my system info eh “system software 5.50 GEN-D3″,now question is pareho lang ba yung two?or they’re different?

  138. lhen September 18, 2010 Reply

    sir ask lang po, my psp is already running in 5.03 gen-c (full), my problem is how to fix 80020148 problem. need help….

  139. Kythe October 5, 2010 Reply

    I have a Ratchet & Clank Edition PSP 3000 that I bought in 2010.

    Can I hack it to install GEN-D3, or will it brick my PSP?

    I’ve browsed a couple of sites on this but I want to make sure.

    Thanks in advance!

    • sylv3rblade October 5, 2010 Reply

      You can only install upto 5.03 GEN-C.

      • Kythe October 6, 2010 Reply

        I see. Thanks for the info!

  140. mark November 1, 2010 Reply

    Can i change the cfw from 5.50Gen D3 to 5.50Gen B full?

  141. Elmer Reyes November 7, 2010 Reply

    I was using gen C full and tried to upgrade to GED D3 after the installation it did not reboot instead what happend was i got a dead PSP or a Black screen my memory card is fine. pls help i would try any solution.

    • sylv3rblade November 7, 2010 Reply

      The guide specifically said this:

      Important: DO NOT attempt to install this on PSP-3000 / PSP-2000 TA088v3. YOU WILL BRICK YOUR PSP IF YOU DO.

  142. Jonathan November 11, 2010 Reply

    THANK YOU SO MUCH!!! I’ve been trying to play SMT Persona for SOOOOO LONG!!!!

  143. virus99999 November 25, 2010 Reply

    hey i have 5.03..can i convert it to 5.50 gen-d… because many new game does not work like fifa 11, smack down vs raw 11..help me…

  144. dreck December 2, 2010 Reply

    my psp is psp 2004 and has a 5.50 software how can upgrade it to 5.50-d3 software so that i can play using the memory card

  145. dreck December 2, 2010 Reply

    i dont have pandora battery what should i do……

  146. DreiiDreii December 8, 2010 Reply

    is this compatible with psp 3006 and chickHEN mod R2?

    • sylv3rblade December 8, 2010 Reply

      Nope.

      Important: DO NOT attempt to install this on PSP-3000 / PSP-2000 TA088v3. YOU WILL BRICK YOUR PSP IF YOU DO.

      • DreiiDreii December 8, 2010 Reply

        so theres no other way to convert my version 5.03 to a 5.50 gen – d3?

  147. jimbub December 17, 2010 Reply

    how can i downgrade my psp gend3 to gen d?

    • sylv3rblade December 17, 2010 Reply

      Just run the installer (xgen updater) for 5.50 GEN-D. It’ll overwrite your cfw.

      • rosalie December 25, 2010 Reply

        my psp is 5.00 m33-6.. i want to upgrade it to 5.50 gen d3.. i installed the xgen updater in my psp coz this is the one of the requirements in upgrading my psp.. it say above.when i attempt to open it in my psp it says corrupted data.. what shoul i do to install the 5.50 gen d3? why xgen updater is always corrupted data in my psp?? i installed it three times but still corrupted..

        • sylv3rblade December 25, 2010

          Err.. did you extract it?

  148. moonstar December 25, 2010 Reply

    of course i extract it… still corrupted.. what should i do?

    • sylv3rblade December 25, 2010 Reply

      Hmm.. I guess the logical explaination is that the file didn’t finish downloading properly. Redownload and copy the files to your memory stick again.

  149. LuloSeo December 26, 2010 Reply

    Hello atma xplorer, I have a psp1001 that just wont work with me. I tried from m33-4 to m33-6 (didnt work to D3), tried b1 and b2 update (though the system screen still said m33-6 maybe that’s the problem)

    I tried GEN – D3. But after the install, the PSP just goes through the black screen n turnoff routine. I can’t seem to do anything :[

    Help please, and thanks for everything

    • sylv3rblade December 26, 2010 Reply

      That sounds like a bad flash from the start. You’ll need a Pandora Battery to recover your PSP and reinstall CFW on it.

      • LuloSeo December 26, 2010 Reply

        Thanks for your reply >.o

        I did recover my psp to 5.00 m33-4 with pandora n magic.
        I retried Gen-D3 multiple times, but no dice.

        But i did find that my L-Button was stuck (go figure), so I fixed it up.

        Do you think that was the problem? having a stuck L-Button or is it the flash thingy? do I need to 5.00 OFW or something?

        • LuloSeo December 27, 2010

          Oh wowz, the L-button was the problem.

          Got D-3 on there (happy me~)

          I’m really glad, and really thankful for all your help. Your site helped me with 2 psps >.<

          Happy Holidays~~~~

  150. Aditya December 29, 2010 Reply

    Hello..Excellent job you are doing here..
    I have faced a major problem.I updated my 4.01 CFW PSP1000 to the 5.00 OFW by mistake instead of the 5.00 M33 and now the PSP can run any games.
    Please tell me some way to change this.I don’t have a Pandora Battery so suggest some other method.
    Thanking you in advance

  151. Anton January 2, 2011 Reply

    Mini is If you have a PSP-3000 TA090v2, can I install this? Or any other suggestion?

  152. Anton January 3, 2011 Reply

    Actually I have used 5.03 Gen-C (Full)… Is this okay when I want to install some new games? Or its better to install Prometheus?

  153. Nathan January 9, 2011 Reply

    I successfully installed gen d 3 on my psp phat. It worked fine so kudos to you guys however a rare bug happened where in I was moving around in the XMB system information then the VSH menu popped out then hanged my psp(then a weird german menu came up) then after than my Dpad and otehr buttons won’t work anymore. Only buttons working are volume etc. If I disable teh VSH menu in recovery it still does nothing. Any suggestions? Or do i have to Downgrade

    • sylv3rblade January 9, 2011 Reply

      Try reflashiing (reinstalling) 5.50 GEN-D3.
      It could simply be a bad flash

      • Johnny January 14, 2011 Reply

        How To Backup Save Files?, Like Saving The Games,Musics etc…..? Help/Reply please @sylv3rblade

        • sylv3rblade January 14, 2011

          Just copy everything on your memort stick to your pc.

        • Johnny January 14, 2011

          Now, Ill Ask You, 1 And A Half Questions 1 and a half question: Where Is The Root Folder??

        • sylv3rblade January 14, 2011

          The root folder of your PSP is the main folder that you see when you connect it to your PC.

  154. renz January 11, 2011 Reply

    whenever i put it into my psp, it always become a corrupted file. help?

  155. Johnny January 15, 2011 Reply

    Thank You!! More powa!!, But My Naruto Shippuden Akatsuki Rises Didn’t Loading It Means So Very Slow To Load And It Takes Many Hours Whats that for? Please Helpp… @sylv3rblade

    • sylv3rblade January 15, 2011 Reply

      Enter the VSH menu (press select)
      Check that your Game Speed is set to default, 233Mhz or 333Mhz (recommended setting).

  156. tsigu January 19, 2011 Reply

    i have a PSP go…is the 5 50 gen d3 going to work on this? im running on ver 6.20

  157. ayon February 4, 2011 Reply

    Hi sylv3rblade,

    Good Day!

    I have a PSP 3006 model from Hongkong with 5.51 firmware version.
    Just want to ask if its ok to use “xgen-550gen-d3″?

    thank you to all who made this possible!

    ayon

  158. Jeff February 6, 2011 Reply

    Hi sylv3rblade.
    I have a hackable psp-2000.
    Which CFW is best for it now?
    Should I stick with 5.00 m33-6 or should I update to 5.50 GEN-D3?

    Pinoy here :)

  159. Bloom February 10, 2011 Reply

    Great job you´re doing here, getting much good karma for every brick you prevent xDDD ^^

    btw. online infrastructure is working on 6.20 TN-C totally easy (don´t work on 5.03 gen-c even with PSNlover) !!
    but some games (like dynasty warrirors strikeforce) don´t run.

    6.20 TN-C is much fun !

  160. Bloom February 10, 2011 Reply

    a friend of mine just got black screen while running 5.50 gen-d3 installer on 5.00 m33-6 with psp fat.

    Is you get this – try another memory stick !! is now working.

    • sylv3rblade February 10, 2011 Reply

      Hmm this is the first time I’ve heard of the Xgen Updater failing due to the memory stick. Thanks for the tip.

  161. machelorst February 13, 2011 Reply

    hii sylv3rblade n atma xplorer,,,,

    I have a PSP-1001 with 3.80 M33….

    can I upgrade it to 5.50 GEN-D3…
    is there any risk if I do that (upgrade) ??
    help me plizz… thx

    • sylv3rblade February 13, 2011 Reply

      As with all CFW updates, there is a slight chance of bricking (which can be resolved with a Pandora Battery) or having your saves corrupted (not much you can do here). Most of those incidents occur if you have any other plugin on your PSP so be sure to turn them off before updating.

  162. aldetz February 16, 2011 Reply

    hi, i badly need your help..i was trying to upgrade my PSP 1004 many times with 5.50 GEN- D3, currently it’s version 5.51, but everytime i did an upgrade it always shows, can’t open corrupted data…what should i do? can u pls guide me???
    tnx..looking forward for your generous reply!

    • sylv3rblade February 16, 2011 Reply

      You can’t downgrade by trying to install this CFW. You need to upgrade to 6.20, run 6.20 TN, run Hellcat’s recovery flasher and downgrade to 5.50 GEN-D3.

      • aldetz February 21, 2011 Reply

        Cud u pls give me the exact link Sir for this download you’re saying bec it’s quite confusing, a lot of 6.20 version i’ve found…tnx Sir, looking forward……..

        • sylv3rblade February 21, 2011
        • aldetz February 21, 2011

          Sir, i’m afraid i’m on the wrong track…
          I followed the link u gave me and downloaded it. As per instruction, i will put directly the exracted PSP folder to the memory stick and i did follow all the instructions, but to my surprise, my unit just reboot automatically as expected BUT THERE WAS NO CHANGES AT ALL. When i check the version, still it’s 5.51 and i didn’t see the VSH MENU that have mentioned even if i pressed the SELECT….
          SIR, really i’m getting paranoid of this one. Badly need your favorable understanding…Plssss help! I have extracted PROMETHEUS ISO LOADER to my computer but i will wait for your another instruction first before i’ll proceed. Plss tell me what to do with this now.. By the way, i did overwrite the new PSP folder fr the old, bec i was asked. Is it ok?

        • sylv3rblade February 21, 2011

          Read the trouble shooting part of the guide. You need to update to 6.20 OFW before installation, just follow the instructions there.

        • aldetz February 21, 2011

          I’ve read the troubleshooting instruction but it clearly said:
          If you’re not on 6.20 OFW and want to update your PlayStation Portable to accommodate 6.20 TN-C follow these instructions:

          * Download 6.35 OFW for your PSP model: PSP-2000 | PSP-3000 | PSP Go

          Now, i want to clarify sir if this download is applicable also to my PSP 1004, ‘coz if not, again, i want to humbly ask the link right for me… Thank yous so much , Sir…..

        • sylv3rblade February 21, 2011

          oops typos on my part.. It’s supposed to be Download 6.20 OFW. Sorry about that. the links are valid though.
          Yep, it’ll work with your PSP-1000. Just use the 6.20 Updater for the PSP-2000: http://uploading.com/files/6ae59mdb/PSP_6.20_FW_UPDATE.zip/

        • aldetz February 22, 2011

          My God Sir, what happened to my PSP, it was updated already to 6.20 as u gave me the link (TNX FOR THAT, very much…) and i have managed to open my ISO games already but since u advised me to download the HELLCAT’s RECOVERY flasher so i did before i suppose to proceed downgrading to 5.50 GEN D3….but my God, what is happening now after i press the X in which the hellcat’s will be installed supposedly, until now it is still LOADING…with a black background…HELP! HELP! HELP!!!!

        • sylv3rblade February 22, 2011

          Remove the battery. And reboot your PSP. Since you’re simply installing hellcat’s it shouldn’t cause permanent damage to your PSP-1000.

        • sylv3rblade February 22, 2011

          Ah I think I know what happened. The problem is that version of hellcat’s in the post isn’t yet updated to support 6.xx firmware.

  163. ken February 20, 2011 Reply

    Hi! can i install prometheus on my GEN-C (full)??? thnx in advance!!! :D

  164. Kelvin February 21, 2011 Reply

    Hihi, my psp2000 is at version 3.71 m33-2. Can I update my software straight to version 5.50 GEN-D3 or do I have to update to some other versions before getting to 5.50 GEN-D3 ?

    Pls advise, thanks a lot

    • sylv3rblade February 21, 2011 Reply

      Update to 5.00 M33 first then install 5.50 GEN-D3. It’s safer.

  165. aldetz February 22, 2011 Reply

    Sir, tnx for the advice to just remove the battery.. But i think, there’s a problem with this HELLCAT’s recovery i’ve downloaded bec if i tried opening it the second time, still the same problem occured…it simply hanged! Any more advice Sir? Should i need to download this thing? or better to remove this… afterthen, should i still continue downgrading to 5.50 GEN D3? What version could you best refer to my unit???? Thank you in advance for your patience, understanding and quick reply , Sir….

    • sylv3rblade February 22, 2011 Reply

      For now stick to 6.20 TN-C.
      I forgot that I was in the process of updating the post (for downgrading from 6.xx as well as updating the download links) and mistakingly linked you to it :( Sorry about that.

      • aldetz February 22, 2011 Reply

        NO PROBLEM, Sir…the important is it didn’t cause a damage to my PSP and the good thing is, u gave me some tips to recover fr my old damn version, of which i could not actually open any of my games anymore before…thank you so much for your guides, it helped me a lot…
        Am still looking forward for your updated links, Sir and hope you could advise me soon the best version for me… Godbless, Sir!!! More power….I’ll patiently wait, Sir…….Tnx

        • aldetz February 22, 2011

          Sir, i’m here again…sori! i’ve read fr 1 of your replies the latest version of hellcat’s and compatible for 6.20 so i did overwrite my previous download.. Now, it’s finally working, thanks..but my problem again is how can i downgrade it now to 5.50 gen d3? Do i need to downloah Chickhen first as i’ve read there?? Plssss rep.tnx!

  166. CheQua March 1, 2011 Reply

    SUCCESSFULLY UPGRADED! ^_^
    Thank you very much. Atma Xplorer is doing great!

  167. CheQua March 1, 2011 Reply

    hi sir… how can i watch youtube videos on my psp 5.50 gen-d3? hope you can help me…. Thank you..

  168. aldetz March 4, 2011 Reply

    hi! i really don’t know how to use this HELLCAT’s RECOVERY downloaded to my PSP 1004 fat, 6.20 version.. Can u pls help me how to downgrade it to 5.50 GEN D3? Which is more preferrable to use between the 2???

  169. gautam March 19, 2011 Reply

    hello silverblade
    i have psp 3004 and go to 5.03gen-a via chickhenr2. can i go for 5.50 gend3 safely? and when i do the install, do i need to be in ofw or cfw ?

    thank you in advance

  170. darren lampard March 22, 2011 Reply

    i modded my psp to version 5.50-GEN D3 SO THAT GAMES WORK IN THE MEMORY STICK TOO.BUT NOW GAMES DATED BEFORE 2009 WORK VERY SLOWLY.SO,CAN YOU TELL ME A WAY TO FIX THIS PROBLEM?MAIL IT AS SOON AS POSSIBLE.

    • sylv3rblade March 22, 2011 Reply

      Sounds like a bad flash, try reinstalling 5.50 GEN-D3 by running the XGEN Updater again. Before that however, please check the value game speed on your VSH menu and post it here.

  171. Xkiller March 31, 2011 Reply

    is it necessary that i should change CFW5.00 m33-4 to m33-6 for upgading 5.05gen d3?

  172. DesperateUpdater T_T April 21, 2011 Reply

    will this update work on my cousin’s PSP? his CFW is 5.00m33-4, will this update brick it?(his PSP) plz tell me how can i update his PSP into 5.50 prome-4! i have porme-4 updater and worked on my PSP but it doesnt work in his PSP, it says that the program was for gen d3 only, thats why i need GEN D3!!!!!! well sorry for the exclamation points… i really need some help here

    • sylv3rblade April 21, 2011 Reply

      There’s a prometheus-4 module for 5.00 M33. But if you want to install 5.50 GEN-D3 then yes, it will work with your cousin’s PSP. There IS a slight chance of bricking but that can be recovered using a pandora battery.

  173. LinuxRulz April 22, 2011 Reply

    Hi! I have a PSP-2001. It’s software version is 4.01 M33-2. Is it okay to install this on my PSP? Will it brick my PSP? I can’t risk anything because I just spent like $50 for a new LCD screen and got it fixed. I don’t’ wanna brick it or anything. I Just need to make sure everything is gonna be fine before I install it. :)

    Thanks!

    • sylv3rblade April 22, 2011 Reply

      Please upgrade to 5.00 M33 before upgrading to 5.50 GEN-D3. A lot of people had problems updating to 5.50 GEN-D3 from firmware versions older than 5.00

      • LinuxRulz April 22, 2011 Reply

        So after I upgrade to 5.00 M33, there’ll be no problem in upgrading to 5.50 GEN-D3. Is that right? Or are there still risks like bricking your psp?

        • sylv3rblade April 22, 2011

          There is always a risk involved in updating but yes, it’s relatively safer to update to 5.00 M33 then 5.50 GEN-D3

        • LinuxRulz April 22, 2011

          I tried to download the 5.00 M33 software and 500.PBP from the link you posted but it says my download has expired. I can’t download it. Is there any other site that I can download it from?

  174. LinuxRulz April 22, 2011 Reply

    Hi, the link for downloading XGen Updater is not working. It says your download has expired. Is there any other site for download?

  175. LinuxRulz April 22, 2011 Reply

    can’t wait :)

  176. LinuxRulz April 22, 2011 Reply

    So how do I know what motherboard my PSP has? I just noticed what you posted above, that I shouldn’t install this on PSP-2000 TA088v3.

  177. LinuxRulz April 23, 2011 Reply

    Uhm, in your post above, you said to copy the PSP folder and the 550.PBP on the root of my psp but a window pops up when I paste it asking if I should delete and replace the other psp folder. Should I ?

    • sylv3rblade April 23, 2011 Reply

      No. Just paste it over the existing PSP folder (unless you’re on a Mac). It will properly copy the files and folders into it’s proper place.

  178. LinuxRulz April 23, 2011 Reply

    I don’t get it. I’m sorry I’m not really good at understanding english. Should I just replace the old PSP folder with the new one? There’s an existing PSP folder in my memory stick…

    • sylv3rblade April 23, 2011 Reply

      Yes just replace… You don’t need to delete it because all your saves are right there. Just copy the PSP folder from the download into your PSP. When you see the prompt to overwrite, just click yes.

  179. LinuxRulz April 23, 2011 Reply

    PLease reply. I really don’t know what to do. I”m all noob to this thing….

  180. kenneth April 26, 2011 Reply

    hi.. i have a psp 2001version 5.51… i’ve been trying to upgrade my psp to 5.50 gen d3 many times.but the file said cannot open data is corrupted…. help pls.

    • sylv3rblade April 26, 2011 Reply

      Well you’re trying to install 5.50 on 5.51, the installation will always fail for that since you can only install firmware equal to or higher than your current firmware. If you want to install 5.50 GEN-D3, you will need a Pandora battery. However if you don’t have one consider installing either: 6.20 TN-E or 6.35 Pro-B5

  181. overhaul21 May 1, 2011 Reply

    hi, its me again. :) i would like to ask where would i find the ;plugins; and how to turn it off. thank you. :)

    • sylv3rblade May 1, 2011 Reply

      check the seplugins folder, the game.txt and the vsh.txt specifies which plugins you have installed.

  182. overhaul21 May 1, 2011 Reply

    and oh, how will i know the PSP mobo.? is it written somewhere in the device? thanks..

  183. Josh Javier May 10, 2011 Reply

    can i delete the X:/PSP/GAME/UPDATE folder to remove the update application?

    • sylv3rblade May 10, 2011 Reply

      After updating yep, you can safely delete the update folder.

  184. flarer May 15, 2011 Reply

    hoe do i know if my psp is hackable?

  185. Greg May 16, 2011 Reply

    I have psp-1000, 5.50 Gen-D2 is it safe for me to upgrade to 5.50 Gen-D and what is the lastest fireware for psp-1000 ?

    I haven`t played mine in a while :)

  186. Pat May 16, 2011 Reply

    can i update from 5.50 Gen D2 to D3 ?

  187. KimoliveR May 31, 2011 Reply

    gagana ba to sa 5.50 gen-d(full)?

  188. sakthi May 31, 2011 Reply

    hey,

    i have psp 1004 of version 3.40 OE-A, need help to play ASSASSINS CREED which needs 6.00 or more to play. need a safer way to upgrade…

  189. lcronovt May 31, 2011 Reply

    I have a question my psp is 2000 and have cfw 5.00 tzs-6 and i want to upgrade to 5.50 gen-d3, can do so with this tutorial? Is cfw 5.00 tzs-6 similar or equal to 5.00 m33-6?

  190. apothesis June 12, 2011 Reply

    I bought a psp from ebay and it has a custom shell so I don’t know if its 2000 or 3000 series, it is not a fat one for sure… it does have 5.00 m33-4 on it. I tried installing the gen d3 but the psp just turns off, also i tried downloading the 5.00 m33-5 and the 5.00 m33-6 but it seems those files are no longer available for download. I want to be able to play the latest games what can I do?

  191. Jovi Petra June 29, 2011 Reply

    I’m a noob at this..
    So i firtsly extract the XGen..
    Then put it on the root..
    The question is, where is root? Dx
    Sorry for my bad english and thankyou for your help.. ^.^b

    • sylv3rblade June 29, 2011 Reply

      Root is simply your memory stick

      • Jovi Petra June 30, 2011 Reply

        so, i just overwite the original PSP folder on my memory stick?
        Or where/what folder should i put it?
        Thx.. ^.^

  192. fanoffemdom14 July 17, 2011 Reply

    Excuse me atma, Whats the difference between all these cfw’s and just the 6.39 pro-b6 fw? it seems like all of them do the same thing. wouldnt be easier if you just recommended the latest model?

    • sylv3rblade July 17, 2011 Reply

      CFW are permanent, LCFW are temporary in the sense that if your PSP looses power, you have to reinstall it again.

  193. fanoffemdom14 July 18, 2011 Reply

    wait you said that all psp-1000’s are hackable right? well i put this one on mine earlier by making a pandora battery and mms. now when i start it nothing works. the directional pads wont make the cursor move. i cant do anything. but when i revert it back to 5.50 ofw it works again. any advice?

  194. shanitskie July 29, 2011 Reply

    man, my psp is in 5.50 d.. can i upgrade this to 5.50gen d3?

  195. RON August 9, 2011 Reply

    what if i have 5.50 prometheus only? will i still be able to upgrade it?

    PS i need this for dissidia dlc to work :D

  196. jaycee August 14, 2011 Reply

    hey anyone help with my prob .. how do i reflash my psp if the psp is a black screen.. i cant run the application from xmb.. what do i need to do..? pls help me ..

    • sylv3rblade August 14, 2011 Reply

      What do you mean? You can’t access the XMB? Have you tried entering the recovery menu (turn off your PSP and boot while holding the R trigger)?

  197. jaycee August 15, 2011 Reply

    its not running sir.. theres no recovery menu appears

  198. macky August 27, 2011 Reply

    I have PSP 2000 5.50 GEN D3 + PROME the UMD drive is noisy when playing and sometimes when i turn on the PSP it won’t load need to remove battery or hard shut off.

    • sylv3rblade August 27, 2011 Reply

      That sounds like you need to have it checked.

  199. koko October 26, 2011 Reply

    upgraded to 5.50 Gen-D3 but my psp cnt detect any game in the memory stick..help?

  200. Peethor October 30, 2011 Reply

    Thanks for you guides people! I have been seaching the net for the last 2 days to hack my boys’ PSP’s(a 3003 and a 3004)and my own PSP(PSP1000), and you guys are the only one who manage to explain what’s what AND deliver thefiles needed. Thank you for all your efforts! It is highly appreciated! Have a great life!

  201. Leon December 7, 2011 Reply

    Alright. I have tried every possible thing but I still receive a black screen leading into a Restart for certain game isos like Birth By Sleep Final Mix and Dissidia 012. However some games do work like Crisis Core.

    I have tried going into recovery mode and disabling/enabling every possible thing based on every guide i could fin on youtube and forums.

    I’m much fed up becasue its not the memory card (formating does nothing), the iso (DLed many versions of game and none work) and M33 or Normal or Sony do nothing.

    Please I am so lost it seems like no matter what i do certain games just will not work, HELP!!

    • Leon December 7, 2011 Reply

      Oh and I use a 1000 model (Phat) and the firmware version I use is 5.50 Gen-D3

    • sylv3rblade December 8, 2011 Reply

      The games you mentioned need to be specifically patched to work with 5.50 GEN-D3. You can try installing the prometheus module (currently prome-4) but it won’t work with some of the newer games.

  202. Kongol December 25, 2011 Reply

    Hi sylv3rblade,

    My PSP is th fat version using system 3.40 oe-a. i want to play third birthday. Can i upgrade directly fro 3.40 to 5.50 GEN-D3?? or i need to upgrade to 5.00 m33-6?
    thanks

    • sylv3rblade December 25, 2011 Reply

      Nope. You’ll really need to go through a “nearer” CFW in order to install 5.50 GEN-D3. You can upgrade to 3.52 M33 then upgrade 5.00 M33-6 then 5.50 GEN-D3. 5.50 requires at least a kernel at least or higher than 3.52 so trying to upgrade directly will fail.

  203. devotchkadet January 15, 2012 Reply

    DAYUM! okay, been trying to mod my psp 1001 for awhile with a stop at every turn!! i dont have another battery so im doin the pandora free way it think. its was at version 6.60, downgraded to 5.03, installed ChickHEN R2, now i have 5.03 Chickhen R2. I got the hellcat on there and it ran, but when it came to installation the highest version it had was 5.00m33-6. so i hunted for that software, tried to install and now it just says corrupted file!!!! would promethius help? what the next steps! i want my psp hacked to the best extent it can!!!! <3

    • sylv3rblade January 15, 2012 Reply

      I would suggest sticking to 5.50 GEN-D3 as it’s much more supported compared to 5.00 M33-6 which is essentially now a legacy firmware.

      • devotchkadet January 16, 2012 Reply

        psp fat 1001 v.3 ta-o82 umd firmware 1.15 kerenel version 5.03+chickHEn R2- my psp stats… i would like to have a plethora of emulators, psptube, umdDump, and be able to play new games titles+umds..i read that 6.60 Pro-B10 is the newest cfw and does pretty much everything.. but i already downgraded my 6.60 update back to 5.03. Also i am not using the pandora battery+MMstick method. is 6.60 worth it? and cud i do that straight from my 5.03 chickHEN R2 i have now?

  204. devotchkadet January 15, 2012 Reply

    i also got kingdom hearts birth by sleep on umd and my umd player is broken so i am going to replace the whole drive… so whatever i need to play k.h. post it! thankies!

  205. blinkme77 January 21, 2012 Reply

    i have a psp 1000 with ver 6.60 pro b9 can i install ver 5.50 gen d3 on it …plz help me on this

    • sylv3rblade January 21, 2012 Reply

      Yes but you’ll need to install it via Hellcat’s Recovery (flashing using the xgen updater directly is dangerous).

  206. arvy March 6, 2012 Reply

    hi i have psp version 3.80 then i upgrade to 5.50GEN-D3 when upgrading is finish i start to play a game on my memory stick but the game is hang on my psp the 5.50 prome-4 installer did not work to because when you start its hang and the game coul not started..

    • sylv3rblade March 6, 2012 Reply

      Please check if your PSP says 5.50 GEN-D3 on the firmware version.

  207. 2yariK March 6, 2012 Reply

    Hello! Could you help me pleeeeeease? I’ve bought PSP 1004 (IC 1003, TA-082) with 5.50 GEN-D3, but it can’t launch any game or installer.
    It only says ‘ corrupted data’ T__T

    The same problem is here: http://www.youtube.com/watch?v=LT6pHaTmDIc

    • sylv3rblade March 8, 2012 Reply

      Press select and change the UMD mode

      • 2yariK March 8, 2012 Reply

        It can’t help T.T

  208. gilberto March 6, 2012 Reply

    hey i have the psp 2001 the dexter editon i have it on cfw 5.50 gen a full but i want to upgrade to 5.50 gen d3 is it possible to skip all the previous ones or do i have to install them too ?

  209. NanaLee March 13, 2012 Reply

    Hey i have a 2004- 5.50 gen B(full) and i want to update it to a better version , i really don`t want to screw the battery over to do it and i want to get to the gen d3 version for the newest games Any advice will be appreciated , thanks!!!

  210. Death May 4, 2012 Reply

    hey my psp is 3000 and i downloaded gen d3 is it ok?

  211. Silver May 19, 2012 Reply

    Xcuse me i want to upgrade my psp to 6.60 pro-10 like listed,,,,i try from smallest version(6.20),,,,it says does’t support your FW (0X),,,my version from prometheus 4 and its fail,,,i change it into gen d3 also cant be used,,,what should i do?

  212. BogdySSS September 29, 2012 Reply

    I updated, it said to reboot, I rebooted and the screen remains black, I can’t do anything on it. What should I do? please reply…

  213. MagicalPanda January 9, 2013 Reply

    Ok My Framware is 6.35 Pro-B, How can i flash and upgrade my system?……..Trying to Find games for it, and relly cant find any Games for the OS……The games i find are usaly The Upgraded Framware Systems…..Or Do u have any whare i can find The games on Besides Piert Bay.org:/……I cant seed off them very well cuz the downloads have bin there for a while and no ones uploadeing them:/…..Plz Repliy ty!:P

    • sylv3rblade January 10, 2013 Reply

      You can drop by at our Free DL page.

      • MagicalPanda January 10, 2013 Reply

        tyvm Kind Sir:P, Now, Will these games work on my Frame ware or dose it need to b upgraded?….And may i has ur email?….Mine is theeyesball@gmail.com:P…..tyvm for all ur help srry fo the bother, hats off to u and ur Knowledge of awsomeniss:P

      • MagicalPanda January 10, 2013 Reply

        Aso, Since i have that frameware, how to upgrade? Do i wipe wuts on it now, and go from there? or can i jest put that frame whare on it and upgrade it?….ty again for ur time and considerations……Reese

      • MagicalPanda January 10, 2013 Reply

        win i tried to up geade to6.60b on my psp go, it said it wasent Combadabul on that system, is it cuz of the Existing Fermwhare on it?….Or is it a diff prob?…..

        • sylv3rblade January 10, 2013

          If your current firmware is 6.60B you need a firmware version that’s higher like 6.60 PRO-C1. You can’t downgrade a PSP Go.

      • MagicalPanda January 10, 2013 Reply

        In Order To make the game work, Do u need to take all the rars and add them to one file?…..Wut do?…..

        • sylv3rblade January 10, 2013

          Yep, you need to extract the ISO or CSO file out of the rar archives and then place it inside the ISO folder to make it work ie. X:/ISO/somegame.iso

        • MagicalPanda January 10, 2013

          There is Sevril Rar Files, do i take all the isos from set files and put it in the iso folfder, or jest one iso?…….

      • MagicalPanda January 10, 2013 Reply

        Also, Do i need to make all the Rar files one iso some home?…..or add them all in the iso folder, if so how do i do this?

        • MagicalPanda January 10, 2013

          Ok theres 4 Rar files in God Of War, Do i take all those files and put every iso from those files in to the iso folder, or do i Compres them in to one iso file some how?…If So please tell me how thank you…

        • sylv3rblade January 13, 2013

          You’ll need someway to extract those files. Download 7zip (it’s free).

  214. MagicalPanda January 10, 2013 Reply

    OK, i ment i had frameware 6.35PRO-B, Do i need to upgrade in order to play these games?……..and if so how to upgrade with a psp go?….i tried to last night to upgrade to 6.60PRO-c1 and it said on the black screen “Srry not compadabul with this system”,…..is it because of the fermwhare curently on it, or is it a diff prob?…….

  215. dan December 4, 2013 Reply

    hello i just learned about this firmware and am very interested in how it works i havent gotten around to find out witch psp i have if someone could help me go through the steps i would really appriciate it thank you very much

  216. Blaze June 18, 2014 Reply

    Hey dude I have a PSP 2000. What i the diffrence of a PSP 2000 and a PSP 2000 TA088v3? I realy want to know if my PSP is a 2000 TAO88v3 or a psp 2000. Or I might end up bricking my PSP

  217. Marky February 13, 2010 Reply

    Done successfully upgraded to 5.50 Gen-D3..
    KUDOS to all who made this possible

Leave a Reply

website stats